from django.contrib import admin
from program.models import (
    Category,
    FundingCategory,
    Language,
    LicenseType,
    LinkType,
    MusicFocus,
    Topic,
    Type,
)


class AdminWithNameSlugIsActive(admin.ModelAdmin):
    list_display = ("name", "slug", "is_active")


class LanguageAdmin(admin.ModelAdmin):
    list_display = ("name", "is_active")


class AdminWithNameType(admin.ModelAdmin):
    list_display = ("name", "type")


admin.site.register(Category, AdminWithNameSlugIsActive)
admin.site.register(FundingCategory, AdminWithNameSlugIsActive)
admin.site.register(Language, LanguageAdmin)
admin.site.register(LinkType, AdminWithNameType)
admin.site.register(LicenseType, AdminWithNameType)
admin.site.register(MusicFocus, AdminWithNameSlugIsActive)
admin.site.register(Topic, AdminWithNameSlugIsActive)
admin.site.register(Type, AdminWithNameSlugIsActive)
